Subject: bug#9683: Undefined/undocumented terms

From: Dave Abrahams <[email-masked]>
Date: Thu, 06 Oct 2011 19:29:09 -0400

on Thu Oct 06 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>>>>    ,----[ (info "(gnus)Gnus Utility Functions") ]
>>>>    | `gnus-group-real-name'
>>>>    |      Takes a full (prefixed) Gnus group name, and returns the unprefixed
>>>>    |      name.
>>>>    | 
>>>>    | `gnus-group-prefixed-name'
>>>>    |      Takes an unprefixed group name and a select method, and returns
>>>>    |      the full (prefixed) Gnus group name.
>>>>    `----
>>>>
>>>> b. "if prefixation is required" is so vague (to me) that your response
>>>>    is of no use to me in understanding anything.
>>>
>>> I thought "a full Gnus group name" would be a hint.  :-)
>>
>> You're just getting cryptic-er and cryptic-er, Doc!
>
> A Gnus group name is prefixed or not, depending on whether it's a
> primary server group or not.  

more like vicey-versy. But I understand your meaning.

> But there's no need to repeat that every time you say "group".  They
> are always that way in Gnus.
>
> These functions convert from Gnus group names to non-Gnus group names,
> and vice versa.

I understand you see these functions are different from the others, and
you don't want to be explicit on the other function as a matter of
principle and consistency, but I'm just saying, when they're on the same
page with another function that fails to spell it out, it's confusing to
someone who is just trying to learn Gnus' internals... er, me.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com